import processing.serial.*;

Serial port;
float ax, ay, az, gx, gy, gz;

void setup() {
  size(800, 600, P3D);
  smooth();
  background(255);

  port = new Serial(this, "/dev/ttyACM0", 9600);
}
void draw() {
  if (port.available() > 0) {
    String data = port.readStringUntil('\n');
    if (data != null) {
      String[] values = data.split(",");
      if (values.length == 6) { // make sure there are six values in the array
        ax = float(values[0]);
        ay = float(values[1]);
        az = float(values[2]);
        gx = float(values[3]);
        gy = float(values[4]);
        gz = float(values[5]);
      } else {
        println("Received unexpected data: " + data);
      }
    }
  }

  background(255);

  pushMatrix();
  translate(width/2, height/2, -200);
  rotateX(ay * PI/180.0);
  rotateY(-ax * PI/180.0);
  rotateZ(-gz * PI/180.0);
  noFill();
  box(200);
  popMatrix();
}
